# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/eeprom/st,m24lr.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: STMicroelectronics M24LR NFC/RFID EEPROM

maintainers:
  - Abd-Alrhman Masalkhi <abd.masalkhi@gmail.com>

description:
  STMicroelectronics M24LR series are dual-interface (RF + I2C)
  EEPROM chips. These devices support I2C-based access to both
  memory and a system area that controls authentication and configuration.
  They expose two I2C addresses, one for the system parameter sector and
  one for the EEPROM.

allOf:
  - $ref: /schemas/nvmem/nvmem.yaml#

properties:
  compatible:
    enum:
      - st,m24lr04e-r
      - st,m24lr16e-r
      - st,m24lr64e-r

  reg:
    items:
      - description: I2C address used for control/system registers
      - description: I2C address used for EEPROM memory access

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    i2c {
      #address-cells = <1>;
      #size-cells = <0>;

      eeprom@57 {
        compatible = "st,m24lr04e-r";
        reg = <0x57>, /* primary-device */
              <0x53>; /* secondary-device */
      };
    };
...
